[Overview][Resource strings][Classes][Index] | Reference for unit 'resfactory' (#fcl-res)

# EResourceClassAlreadyRegisteredException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A resource class for a given type has already been registered

## Declaration

Source position: resfactory.pp line 27

`type EResourceClassAlreadyRegisteredException = class(EResourceFactoryException)`

## Inheritance

`EResourceClassAlreadyRegisteredException` |  | A resource class for a given type has already been registered
`EResourceFactoryException` |  | Base class for resource factory-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised by class method RegisterResourceClass of TResourceFactory when an attempt is made to register a class for an already registered type.

## See also

TResourceFactory.RegisterResourceClass |  | Registers a resource class